Package org.jacoco.report.internal.html.page

## Class NodePage<NodeType extends ICoverageNode>

- java.lang.Object
- - org.jacoco.report.internal.html.page.ReportPage
  - - org.jacoco.report.internal.html.page.NodePage<NodeType>

Type Parameters:
  `NodeType` - type of the node represented by this page

All Implemented Interfaces:
  `ILinkable`, `ITableItem`

Direct Known Subclasses:
  `SourceFilePage`, `TablePage`

    public abstract class NodePage<NodeType extends ICoverageNode>
    extends ReportPage
    implements ITableItem

Report page that represents a coverage node.

### Field Summary

### Fields inherited from class org.jacoco.report.internal.html.page.ReportPage

`context, folder`

### Constructor Summary

Constructors
`protected` `NodePage​(NodeType node, ReportPage parent, ReportOutputFolder folder, IHTMLReportContext context)` Creates a new node page.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getLinkLabel()` Returns the display label used for the link.
`java.lang.String` `getLinkStyle()` Optional style class to be associated with the link.
`NodeType` `getNode()` Returns the corresponding node data.

### Methods inherited from class org.jacoco.report.internal.html.page.ReportPage

`content, getFileName, getLink, getOnload, head, infoLinks, isRootPage, render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jacoco.report.internal.html.ILinkable

`getLink`

### Constructor Detail

#### NodePage

    protected NodePage​(NodeType node,
                       ReportPage parent,
                       ReportOutputFolder folder,
                       IHTMLReportContext context)

Creates a new node page.

Parameters:
  `node` - corresponding node
  `parent` - optional hierarchical parent
  `folder` - base folder to create this page in
  `context` - settings context

### Method Detail

#### getLinkStyle

    public java.lang.String getLinkStyle()

Description copied from interface: `ILinkable`
Optional style class to be associated with the link.

Specified by:
  `getLinkStyle` in interface `ILinkable`
Returns:
  link style class or `null`

#### getLinkLabel

    public java.lang.String getLinkLabel()

Description copied from interface: `ILinkable`
Returns the display label used for the link.

Specified by:
  `getLinkLabel` in interface `ILinkable`
Returns:
  display label

#### getNode

    public NodeType getNode()

Description copied from interface: `ITableItem`
Returns the corresponding node data.

Specified by:
  `getNode` in interface `ITableItem`
Returns:
  node data